Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.cellml
Class DomElementTransformer

    java.lang.Object
      biouml.plugins.cellml.DomElementTransformer

public class DomElementTransformer
extends java.lang.Object

This class is used to tranform DOM element to `DydnamicPropertySet` and vice versa. This allows property inspector show and edit DOME element content as a usual bean. Further this property set can be transdormed into corresponding DOM element..

Field Summary
`static java.lang.String` | `ATTRIBUTE_NODE_TYPE`
`static java.lang.String` | `ELEMENT_NODE_TYPE`
`protected static org.apache.log4j.Category` | `log`
`static java.lang.String` | `NODE_TYPE` Key name that is used to store XML node type corresponding to DynamicProperty.

Constructor Summary
`DomElementTransformer()`

Method Summary
`static com.beanexplorer.beans.DynamicPropertySet` | `doTransform(org.w3c.dom.Element element, DomHelper helper, java.lang.String ident)`
`static org.w3c.dom.Element` | `transform(com.beanexplorer.beans.DynamicPropertySet propertySet)`
`static com.beanexplorer.beans.DynamicPropertySet` | `transform(org.w3c.dom.Element element, DomHelper helper)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.log4j.Category log

### NODE_TYPE

    public static final java.lang.String NODE_TYPE

  Key name that is used to store XML node type corresponding to DynamicProperty. Possible values are: ELEMENT_NODE_TYPE and ATTRIBURE_NODE_TYPE.

  See Also:
    Constant Field Values

### ELEMENT_NODE_TYPE

    public static final java.lang.String ELEMENT_NODE_TYPE

See Also:
  Constant Field Values

### ATTRIBUTE_NODE_TYPE

    public static final java.lang.String ATTRIBUTE_NODE_TYPE

See Also:
  Constant Field Values

Constructor Detail

### DomElementTransformer

    public DomElementTransformer()

Method Detail

### transform

    public static com.beanexplorer.beans.DynamicPropertySet transform(org.w3c.dom.Element element,
                                                                      DomHelper helper)

### doTransform

    public static com.beanexplorer.beans.DynamicPropertySet doTransform(org.w3c.dom.Element element,
                                                                        DomHelper helper,
                                                                        java.lang.String ident)

### transform

    public static org.w3c.dom.Element transform(com.beanexplorer.beans.DynamicPropertySet propertySet)

  To do:
    implement

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.